/*ajout font*/
@font-face {
  font-family: "ard";
  src: url("../font/ARDECODE.ttf");
}

@font-face {
  font-family: "champ";
  src: url("../font/C&L.ttf");
}

html {
  scroll-behavior: smooth;
}

body { 
  font-family: sans-serif;
  margin: 0;
}
a {
  text-decoration: none;
}
ul {
  list-style: none;
}

/**/

/*custom scroll bar body*/
body::-webkit-scrollbar-track{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: silver;
}
body::-webkit-scrollbar, #submenu-list::-webkit-scrollbar{
	width: 6px;
    height:0px;
	background-color: #F5F5F5;
}
body::-webkit-scrollbar-thumb, #submenu-list::-webkit-scrollbar-thumb{
	background-color: darkgoldenrod;
}

/* custom scroll bar submenu */
#submenu-list::-webkit-scrollbar-track{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: black;
}

/*commun au page*/
.placement {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 100px 0 100px 0;
}
.placement-soon{
  margin-top: 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.title {
  text-transform: uppercase;
  font-family: "champ";
  font-size: 43px;
  border-bottom: 4px solid #b8860b;
  text-align: center;
}
.subtitle {
  text-align: center;
  color: #b8860b;
}
.separator {
  width: 100px;
  padding: 0 0 2% 0;
  line-height: 54px;
}
.bg-black {
  background: #151515;
  color: #fff;
}
.bg-white {
  background: #ffffff;
  color: black;
}
.bg-black a {
  color: #ffffff;
}
.bg-white a {
  color: black;
}
/* figure style */
figure{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
figcaption{
  text-align: center;
}
/*navbar*/
.title-img,.hamburger{
  display: none;
}
#menu a{
  text-decoration: none;
  color: darkgoldenrod;
}
/*déroulant*/
#submenu-list{
  display: none;
  position: fixed;
  background-color: rgba(255, 255, 255, .8);
  z-index: 2;
}
#submenu-link::after{
  content: '▼';
}
#submenu:hover #submenu-list{
  display: block;
  list-style: none;
 }
.elements:hover{
  list-style: initial;
  color: darkgoldenrod;
}
#menu li{
  color: darkgoldenrod;
}

/*accueil*/
.article {
  width: 80%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.text-home {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.bg-image {
  margin-top: 2%;
  width: 400px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}
figcaption{
  margin-top: 10px;
}
.text-history {
  text-align: justify;
}
.passion {
  margin-top: 2%;
}

/*ratafia*/
/*navbar ratafia*/

#header-content{
  position: fixed;
  display: flex;
  justify-content: center;
  width: 100vw;
  padding-top: 5px;
  padding-bottom: 5px;
  background: white;
  transition: all ease 0.5s;
  border-bottom: 4px solid darkgoldenrod;
}
/*style produit*/
.article {
  width: 50%;
}
.download {
  margin-top: 40px;
  border: 4px solid #b8860b;
  border-radius: 50px;
  padding: 5px;
}
.download:hover {
  box-shadow: 2px 2px 2px rgba(184, 134, 11, 0.8);
}
.text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.presentation {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.information {
  display: flex;
  justify-content: center;
  align-items: center;
}
.element {
  margin-bottom: 0%;
  text-align: center;
  align-items: center;
}
#ratafia .information {
  margin-left: 50px;
}

/* image size */
#bottle-ratafia,#bottle-old,#bottle-veryold,#confit-ratafia,#duo-confit {
  margin-left: 5%;
  margin-right: 1%;
  padding-left: 1%;
  padding-right: 1%;
}
#label-ratafia,#label-old,#label-veryold {
  margin-left: 1%;
  margin-right: 5%;
}
#bottle-ratafia {
  width: 110px;
}
#label-ratafia {
  width: 160px;
}
#bottle-old {
  width: 160px;
}
#label-old {
  width: 160px;
}
#bottle-veryold {
  width: 160px;
}
#label-veryold {
  width: 180px;
}
#confit-ratafia {
  width: 190px;
}
#duo-confit {
  width: 190px;
}

/*evenement*/
/* placement page */
.soon{
  width: 100%;
  height: 690px;
}
.text-event{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
}
/* size image */
.bg-new{
  width: 80%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.text-new{
  margin-top: 5px;
}
.flyer{
  width: 350px;
  border-radius: 20px;
  box-shadow: #c7a972 3px 3px 3px;
}

/*bientôt*/
#title-soon {
  font-size: 300%;
  color: #b8860b;
  text-shadow: 3px 3px 3px #c0c0c0;
}

/*footer*/
#foot-bar{
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100vw;
  background: #151515;
  color: darkgoldenrod;
  padding: 5px;
}
.copy{
  font-weight: bold;
}
#foot-bar .foot-nav .foot-liste{
  display: flex;
  justify-content: space-between;
}
.element-foot{
  font-size: 109%;
}
/*responcise*/
/*TODO chose size for responsive*/
/*phone*/
@media  screen and (max-width:1440px) {
  /*size font submenu*/
  .elements a{
    font-size: 16px;
    margin-left: -5px;
    margin-right: 4px;
  }
  /*nav h1 display*/
  .title-img{
    display: block;
    padding-top: -10px;
  }
  .logo-nav{
    margin-top: -60px;
    margin-bottom: -40px;
  }
  .title-text{
    display: none;
  }
  /* submenu */
  #submenu-list{
    text-align: center;
    font-size: 100%;
  }
  #submenu-list{
    height: 50vh;
    overflow: scroll;
  }
  /* Navbar */
  #navbar{
    border: none;
  }
  #menu {
    transform: none;
    opacity: 0;
    transition: opacity 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
  }
  #menuToggle{
    /* background: #151515; */
    display: block;
    position: fixed;
    top: 20px;
    right: 50px;
    z-index: 1;
  }
  #menuToggle input{
    display: block;
    width: 40px;
    height: 32px;
    position: absolute;
    top: -7px;
    left: -5px;
    cursor: pointer;
    opacity: 0; 
    z-index: 2; 
  }
  #menuToggle span{
    display: block;
    width: 33px;
    height: 4px;
    margin-bottom: 5px;
    position: relative;
    background: darkgoldenrod;
    border-radius: 3px;
    z-index: 1;
    transform-origin: 4px 0px;
    transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
                opacity 0.55s ease;
  }  
  /*animation span*/
  #menuToggle span:first-child{
    transform-origin: 0% 0%;
  }
  #menuToggle span:nth-last-child(2){
    transform-origin: 0% 100%;
  }
  #menuToggle input:checked ~ span{
    opacity: 1;
    transform: rotate(45deg) translate(-2px, -1px);
    background: #232323;
  }
  #menuToggle input:checked ~ span:nth-last-child(3){
    opacity: 0;
    transform: rotate(0deg) scale(0.2, 0.2);
  }
  #menuToggle input:checked ~ span:nth-last-child(2){
    opacity: 1;
    transform: rotate(-45deg) translate(0, -1px);
  }
  #menu{
    position: absolute;
    width: 200px;
    margin: -100px 0 0 0;
    padding: 50px;
    padding-top: 125px;
    right: -100px;
    background: white;
    list-style-type: none;
    border: 3px inset darkgoldenrod;
    transform-origin: 0% 0%;
    transform: translate(100%, 0);
    transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
  }
  #menu li{
    padding: 10px 0;
    font-size: 22px;
  }
  #menuToggle input:checked ~ ul{
    transform: none;
    opacity: 1;
  }
  .logo-nav{
    width: 30%
  }
  /* nav ratafia */
  #nav-ratafia {
    background-color: black;
    width: 100vw;
    border-bottom: 1px solid white;
  }
  #nav-ratafia a {
    color: gold;
  }
  #nav-ratafia a:hover {
    border-bottom: 3px solid #b8860b;
    border-radius: 15px;
    transition: 0.2s;
  }
  #nav-ratafia ul {
    display: flex;
    justify-content: space-around;
  }
  #nav-ratafia{
    padding-top: 40px;
  }
  /* Accueil */
  .logo-svg{
    width: 50%;
  }
  /* soon */
  #title-soon{
    font-size: 200%;
  }
  #logo-png{
    width: 50%;
  }
  /* evenement */

  /* Ratafia */
  .header-content{
    position: fixed;
  }
  /*nav ratafia*/
  #nav-ratafia{
    text-align: center;
  }
 .fig-ratafia{
    display: none;
 }
 .info-rata{
   display: flex;
   justify-content: center;
   align-items: center;
   flex-direction: column;
 }
  /* footer */
  #foot-bar{
    margin-left: -2%;
    font-size: 85%;
  }
  .foot-liste{
    text-align: center;
  }
}

/*pc*/
@media  screen and (min-width:1441px) {
  /* Navbar */
  #navbar{
    position: fixed;
    width: 100vw;
    background: white;
    border-bottom: 4px solid darkgoldenrod;
    padding: 5px 0;
    display: flex;
    justify-content: center;
    transition: all ease .5s;
    z-index: 1;
  }
  #navbar #menu{
    list-style: none;
    width: 1200px;
    margin: auto;
    display: flex;
    justify-content: space-around;
    align-items: center;
  }
  /*nav ratafia*/
  #nav-ratafia {
    position: fixed;
    background-color: black;
    width: 100vw;
    border-bottom: 1px solid white;
  }
  #nav-ratafia a {
    color: gold;
  }
  #nav-ratafia a:hover {
    border-bottom: 3px solid #b8860b;
    border-radius: 15px;
    transition: 0.2s;
  }
  #nav-ratafia ul {
    display: flex;
    justify-content: space-around;
  }
  #nav-ratafia{
    margin-top: 80px;
  }
}